Bug 1598149 - Build non-RELRO ELF binaries with .got.plt isolation
Summary: Build non-RELRO ELF binaries with .got.plt isolation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian Weimer
QA Contact:
URL:
Whiteboard: SystemWideChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-04 13:00 UTC by Jan Kurik
Modified: 2019-07-24 16:52 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-24 16:52:26 UTC
Type: ---


Attachments (Terms of Use)

Description Jan Kurik 2018-07-04 13:00:18 UTC
This is a tracking bug for Change: Build non-RELRO ELF binaries with .plt.got isolation
For more details, see: https://fedoraproject.org/wiki/Changes/.plt.got_Isolation

Fedora 23 enabled hardening for all packages [https://fedoraproject.org/wiki/Changes/Harden_All_Packages]. However, some ELF binaries still use lazy binding. This change proposes additional hardening for them.

Comment 1 Florian Weimer 2018-07-10 05:42:00 UTC
For several weeks, we have been unable to get the codepoint assignment in the GNU general ABI, so this feature cannot be implemented for Fedora 29.

Comment 2 Jan Kurik 2018-08-14 11:05:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 3 Ben Cotton 2018-08-14 13:12:49 UTC
According to the Fedora 29 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to ON_QA. A list of incomplete changes will be sent to FESCo tomorrow for evaluation. If you know your change will not be ready for Fedora 29, you can set the version to rawhide and notify bcotton@fedoraproject.org.

[1] https://fedoraproject.org/wiki/Releases/29/Schedule

Comment 4 Florian Weimer 2018-08-14 14:16:42 UTC
The GNU gABI code point assignment has not happened, so we need to defer to Fedora 30.

Comment 5 Ben Cotton 2019-02-19 17:08:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30'.

Comment 6 Ben Cotton 2019-03-05 21:49:56 UTC
We have reached the Code Complete (100%) milestone in the Fedora 30 development cycle. At this point, all Changes should be fully code complete and ready for testing during the beta freeze. If your Change has reached this milestone, please set the status to ON_QA. If it has not, this Change will be submitted to FESCo to evaluate the contigency plan and decide if the Change will continue in the Fedora 30 cycle.

Comment 7 Ben Cotton 2019-03-11 15:49:50 UTC
Deferred to F31 by FESCo

Comment 8 Florian Weimer 2019-04-09 07:16:51 UTC
The GNU gABI change is still pending.  I do not know if it will happen at all.

Comment 9 Ben Cotton 2019-07-24 16:52:26 UTC
Closing as WONTFIX since the gABI change is not accepted:
https://fedoraproject.org/w/index.php?title=Changes%2F.got.plt_Isolation&type=revision&diff=548724&oldid=536169

Will reopen if the Fedora Change proposal is revived in the future.


Note You need to log in before you can comment on or make changes to this bug.